#
# spec file for package nestopia
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2018, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           nestopia
Version:        1.50
Release:        lp152.1.3
Summary:        Nintendo Entertainment System/Famicom emulator
License:        GPL-2.0-or-later
Group:          System/Emulators/Other
URL:            https://github.com/0ldsk00l/nestopia
#Git-Clone:     https://github.com/0ldsk00l/nestopia.git
Source:         https://github.com/0ldsk00l/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  autoconf-archive
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)

%description
Nestopia is a cycle-accurate NES/Famicom emulator. It has a high compatibility
rate and support for many peripherals and input devices.

%prep
%setup -q
sed -i 's/\r$//' ChangeLog

%build
autoreconf -fiv
%configure \
  --docdir=%{_docdir}/%{name} \
  --enable-gui \
  --enable-doc

make %{?_smp_mflags}

%install
%make_install

%if 0%{?suse_version} < 1330
%post
%desktop_database_post

%postun
%desktop_database_postun
%endif

%files
%doc AUTHORS ChangeLog readme.html README.md
%license COPYING
%{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/nespad.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Sun Jan  5 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.50
  Additions:
  * Added ability to output data from homebrew module
  libretro:
  Additions:
    + Button shift option
    + Input bitmask support
    + Enhanced core options
    + Build in NstDatabase.xml
  Core:
  Additions:
    + Support for mapper 31
    + Support for mappers 28 and 30
    + Support for UNL-KS7031
    + Support for MMC3 Big CHR-RAM Board
  Fixes:
    + Deterministic Save States
* Sat Aug 18 2018 mardnh@gmx.de
- Fix license tag
* Sun Aug  5 2018 mardnh@gmx.de
- Initial package, version 1.49
